sfz Basics

sfz is a SoundFont file playback engine that also has support for .wav and .ogg files. Click a link below to learn more:

sfz Overview

sfz Features

Cakewalk
http://www.cakewalk.com
Cakewalk Support
http://www.cakewalk.com/Support/
Voice: (617) 423-9004
Fax: (617) 423-9007
support@cakewalk.com
sales@cakewalk.com


sfz Overview

sfz is a high-quality multitimbral SoundFont player. sfz can play SoundFont (.sf2), wave (.wav) and ogg-vorbis compressed (.ogg) files.

To Load a SoundFont File in sfz

  1. Click on the SoundFont selector. The "Open SoundFont" dialog will appear, from which you can select the desired soundfont.
Or
  1. Drag any .sf2 file from a Windows Explorer window.

Please note that loading a new SoundFont will replace any SoundFont already loaded into sfz. You can only load one SoundFont file in each instance of sfz.

To Select a Preset for Each MIDI channel

  1. Select the channel either using the CHANNEL text selector or the channel menu (by clicking the small arrow in the CHANNEL text selector).
  2. Select the desired bank and program using the BANK/PROGRAM text selectors (or menus).
Or
  1. Alternatively, it is possible to send a MIDI Bank/Program Change message on the appropriate channel to sfz.

To Preview the Selected Preset

  1. Click and drag on the Preview Ribbon located at the bottom of sfz to send MIDI notes to sfz, on the selected channel. The POLYPHONY and LAYERS indicators will show the number of Voices and Layers played. The vertical position of the mouse inside the preview ribbon determinates the velocity of the note sfz will play. When pressing left and right mouse buttons simultaneously on the preview ribbon, sfz will perform an 'All Notes Off' and 'All'. Controllers Off' on selected MIDI channel. This is a quick method to revert to original settings.
Cakewalk
http://www.cakewalk.com
Cakewalk Support
http://www.cakewalk.com/Support/
Voice: (617) 423-9004
Fax: (617) 423-9007
support@cakewalk.com
sales@cakewalk.com


sfz Features

  • High Quality bandlimiting sample-playback engine.
  • 9 quality settings to allow precise CPU usage optimization.
  • 256 voices of polyphony, unlimited layers per voice.
  • Per-channel polyphony limiter.
  • Fully multitimbral operation, supports all 16 MIDI channels.
  • Supports any standard/custom samplerate, including 22k, 32k, 44.1k, 48k, 88.2k, 96k, 192k and 384k.
  • Extensive SoundFont compatibility.
  • Several loading modes for SoundFont files: Whole SoundFont, Single Program, Direct-from-Disk streaming.
  • Loads and plays standard wave files (.wav) and Ogg-Vorbis compressed files (.ogg)
  • Loads and plays the sfz format sample definiton files.
  • Stereo Output.

Cakewalk
http://www.cakewalk.com
Cakewalk Support
http://www.cakewalk.com/Support/
Voice: (617) 423-9004
Fax: (617) 423-9007
support@cakewalk.com
sales@cakewalk.com


Sound Generator Features

  • A multimode filter (one-pole LPF/HPF, two-pole LPF/BPF/BRF/HPF, three LFOs and three Envelope Generators per layer.
  • Filter Cutoff, Filter Resonance, Keyboard Tracking, Velocity Tracking and Envelope Amount.
  • Vibrato LFO with Delay, Speed and Depth control.
  • Modulation LFO with Delay, Depth, Filter Depth, Pitch Depth and Amp Depth controls.
  • Modulation EG with Attack, Hold, Keyboard-To-Hold, Decay, Keyboard-To-Decay, Sustain, Release and Pitch Depth controls.
  • Amplifier EG with Delay, Attack, Hold, Keyboard-To-Hold, Decay, Keyboard-To-Decay, Sustain and Release controls.
Cakewalk
http://www.cakewalk.com
Cakewalk Support
http://www.cakewalk.com/Support/
Voice: (617) 423-9004
Fax: (617) 423-9007
support@cakewalk.com
sales@cakewalk.com


Effects

  • Stereo Chorus and Stereo Reverb.
  • Effects on/off switch.
Cakewalk
http://www.cakewalk.com
Cakewalk Support
http://www.cakewalk.com/Support/
Voice: (617) 423-9004
Fax: (617) 423-9007
support@cakewalk.com
sales@cakewalk.com


Programs / Banks

  • 128 internal programs (scenes).
  • Saves and Loads standard program (.fxp) files (saving only possible using the microHost, loading thru drag-and-drop operation).
  • Drag and drop support for program files (.fxp) and sound files (.sfz, .sf2, .wav, .ogg).
  • All settings saved in the song.
Cakewalk
http://www.cakewalk.com
Cakewalk Support
http://www.cakewalk.com/Support/
Voice: (617) 423-9004
Fax: (617) 423-9007
support@cakewalk.com
sales@cakewalk.com


Graphic User Interface

  • Total Layers and Voices played indicator.
  • Sound Preview ribbon at bottom, MIDI transmit to host (VST).
Cakewalk
http://www.cakewalk.com
Cakewalk Support
http://www.cakewalk.com/Support/
Voice: (617) 423-9004
Fax: (617) 423-9007
support@cakewalk.com
sales@cakewalk.com


MIDI implementation

  • Extensive MIDI implementation: Velocity, Pitch Bend, Modulation, Sustain Sw and a lot more.
  • ASIO microHost
  • Ultra light ASIO host for live performance and programming (90k)
  • Supports 44.1, 48, 88.2 and 96 kHz samplerates.
  • Virtual keyboard with Pitch Bend/Modulation/Program Change/Transpose controls using PC keyboard.
  • Simultaneous use of multiple MIDI ports.
  • Saves 16-bit and 32-bit WAV files direct-to-disk.

MIDI controls sfz will respond to

sfz responds to all MIDI controls defined in the General MIDI specification:

  • Note On/Off
  • Pitch Bend (default to ±2 semitones)
  • Modulation Wheel (CC1)
  • Volume (CC7)
  • Pan (CC10)
  • Expression (CC11)
  • Reverb Size (CC12)
  • Chorus Speed (CC13)
  • Sustain (CC64)
  • Cutoff (CC74)
  • Reverb Level (CC91)
  • Chorus Level (CC93)
  • Attack (CC73)
  • Hold (CC76)
  • Decay (CC75)
  • Sustain (CC70)
  • Release (CC72)
  • All Notes Off
  • All Controllers Off

sfz will respond to the above messages in each MIDI channel.

Cakewalk
http://www.cakewalk.com
Cakewalk Support
http://www.cakewalk.com/Support/
Voice: (617) 423-9004
Fax: (617) 423-9007
support@cakewalk.com
sales@cakewalk.com